Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class PathMap.PathMapRoot

    java.lang.Object
      net.sf.saxon.expr.PathMap.PathMapNode
          net.sf.saxon.expr.PathMap.PathMapRoot

Enclosing class:
  PathMap

    public static class PathMap.PathMapRoot

extends PathMap.PathMapNode

A root node in the path map. A root node represents either (a) a subexpression that is the first step in a path expression, or (b) a subexpression that is not the first step in a path, but which returns nodes (for example, a call on the doc() function).

Method Summary
`Expression` | `getRootExpression()` Get the root expression

Methods inherited from class net.sf.saxon.expr.PathMap.PathMapNode
`createArc, createArc, getArcs, hasUnknownDependencies, isAtomized, isReturnable, setAtomized, setHasUnknownDependencies, setReturnable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRootExpression

    public Expression getRootExpression()

  Get the root expression

  Returns:
    the expression at the root of the path

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.